{#MG Ajout 20200210 Début #}
{#{% extends "@Paa/Default/entityFormBase.html.twig" %}#}
{% if psTitreColNom is not defined %}
    {% if psType_Res == "AB" %}
        {% set psTitreColNom = 'Intervenants' %}
    {% else %}
        {% set psTitreColNom = 'Nom' %}
    {% endif %}
{% endif %}
{% if pbAfficheCapacité is not defined %}
    {% if psType_Res == "I" or psType_Res == "S" %}
        {% set pbAfficheCapacité  = true %}
    {% else %}
        {% set pbAfficheCapacité = false %}
    {% endif %}
{% endif %}
{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_Onglet_{{ psType_Res }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidSeance }}</div>
{% endblock %}

{% block formulaire %}
    {#	{{dump(lsLstInfos)}}#}
{# LG 20200508 début : input qui indique dans quel onglet on se trouve#}
    <input type="hidden" name="OngletParticipants" id="OngletParticipants" value="1">
    <input type="hidden" name="OngletParticipants_{{ psType_Res }}" id="OngletParticipants_{{ psType_Res }}">
{# LG 20200508 fin#}
    {% block Grille %}
        <div class="LGDataTablesCoche">
            <div id = "entityFormBaseGrille_DataTableInfos"></div>
            <table id="entityFormBaseGrille_DataTable_{{psNomType_Res}}" class="display" cellspacing="0" width="100%" >
                <thead>
                    <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->
                        {% block datatable_title %}
                            <th id="trier" style="display: none"></th>
                            <th id="selectionner">
                                <input name="ressources_seances_{{psType_Res}}" class="EFControl" value="1" id="select-all-{{psType_Res}}" type="checkbox" />
                            </th>
                            <th id="cnom">Nom</th>
                            <th id="mcommentaire">Remarque</th>
                            <th id="impossibilité">Imposs.</th>                                                 
                            {% endblock %}
                    </tr>
                </thead>
                <tbody>
                    {% block datatable_body %}
                        {% set iRow = 0 %}
                        {% for row in lsLstInfos %}
                            {% if row.ctype_res is same as (psType_Res)%}
                                <tr>
                                    <td id ="row_{{ iRow|raw }}_tri" style="display: none">{{ row.lcompétent?0:1 }} {{ psType_Res }} {{ row.iid_res }}</td>
                                    {% if(row.lcompétent is defined) %}
                                        <td id ="row_{{ iRow|raw }}_selectionner">
                                            <input class="EFControl"
                                                   type="checkbox" 
                                                   id = "{{ psType_Res }}" 
{# LG 20200811 je pense que ce changement sera nécessaire                                                   id = "row_{{ iRow|raw }}_checkBox" #}
                                                   {% if(psType_Res == "C") %}
                                                       name="Coche{{psType_Res}}_{{ row.iid_res }}" 
                                                       value="{{ row.iid_res }}" 
                                                   {% else %}
                                                       name="Coche{{psType_Res }}_{{ row.iid_res }}" 
                                                       value="{{ row.iid_res }}" 
                                                   {% endif %}
                                                   {% if(row.lparticipe) %}
                                                       checked
                                                   {% endif %}
                                                   >
                                            <label hidden>1</label>
                                        </td>
                                    {% else %}  
                                        <td></td>
                                    {% endif %}

                                    <td id ="row_{{ iRow|raw }}_cnom">{{row.cnom}}</td>
                                    <td id ="row_{{ iRow|raw }}_mcommentaire">
                                        <input type="text" name="Commentaire{{psType_Res }}_{{ row.iid_res }}" value="{{row.mcommentaire}}"
                                    </td>
                                    {% if row.lannule %}
                                        <td id ="row_{{ iRow|raw }}_bimposs">I</td>
                                    {% else %}
                                        <td id ="row_{{ iRow|raw }}_bimposs"></td>
                                    {% endif %}
                                </tr>
                            {% endif %}
                            {% set iRow = iRow + 1%}
                        {% endfor %}
                    {% endblock %}
                </tbody>
            </table>
            <div class="row" style = 'display : true'> 
                {% if poForm.mcommentaire is defined %}
                    <div class="form-group col-sm-4">
                        {{ form_label(poForm.mcommentaire, "Remarque", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                        <div id="linclutpause" class="">
                            {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'form-control'}})  }} 
                        </div>
                    </div>          
                {% endif %}


                <div class="row">
                    {% if poForm.linclutpause is defined %}
                        <div class="form-group col-sm-4">
                            {{ form_label(poForm.linclutpause, "Inclure la pause conventionelle", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                            <div id="linclutpause" class="">
                                {{ form_widget(poForm.linclutpause, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>          
                    {% endif %}

                    {% if poForm.llibre1 is defined %}
                        <div class="form-group col-sm-2">
                            {{ form_label(poForm.llibre1, "Libre 1", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                            <div id="llibre1" class="">
                                {{ form_widget(poForm.llibre1, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>          
                    {% endif %}

                    {% if poForm.llibre2 is defined %}
                        <div class="form-group col-sm-2">
                            {{ form_label(poForm.llibre2, "Libre 2", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                            <div id="llibre2" class="">
                                {{ form_widget(poForm.llibre2, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>          
                    {% endif %}

                    {% if poForm.tdebut is defined %}
                        <div class="form-group col-sm-4">
                            {{ form_label(poForm.tdebut, "De ", {'label_attr': {'class': 'control-label'}}) }}
                            <div id="tdebut" class="">
                                {{ form_widget(poForm.tdebut, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                    {% endif %}

                    {% if poForm.tfin is defined %}
                        <div class="form-group col-sm-4">
                            {{ form_label(poForm.tfin, "à ", {'label_attr': {'class': 'control-label'}}) }}
                            <div id="tfin" class="">
                                {{ form_widget(poForm.tfin, {'attr': {'class': 'form-control'}}) }}
                            </div>
                        </div>
                    {% endif %} 
                </div>
            </div>
            <div id='{{ psNomType_Res }}_Info' class='col-md-6' style='padding-top: 0.755em;'></div>
            <div class='col-md-3'></div>
            <div id='{{ psNomType_Res }}_Filter' class='col-md-3' style='padding-top: 0.755em;'></div>
        </div>
    {% endblock %}
    <link type="text/css" href="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/css/dataTables.checkboxes.css" rel="stylesheet" />
    <script type="text/javascript" src="//gyrocode.github.io/jquery-datatables-checkboxes/1.2.11/js/dataTables.checkboxes.min.js"></script>
    <script>
        $(document).ready(actiBasesCompétences_Onglets_DocumentReady);
        function actiBasesCompétences_Onglets_DocumentReady() {

            var lsNomEntité = "{{ psNomType_Res }}";
            tmp_onLGDataTableInitComplete = function (poLGDataTable) {};

            // Construire la datatable
            LGDataTable_initGrille("entityFormBaseGrille_DataTable_{{ psNomType_Res }}", lsNomEntité, {}, tmp_onLGDataTableInitComplete);

            // Handle click on checkbox to set state of "Select all" control
            $('#entityFormBaseGrille_DataTable_{{ psNomType_Res }} tbody').on('change', 'input[type="checkbox"]', function () {
                // If checkbox is not checked
                actiBasesCompétences_ToggleCompétence('{{ psNomType_Res }}', this);
            });

            // Handle click on "Select all" control
            $('#select-all-{{ psType_Res }}').on('click', function () {
                // Check/uncheck all checkboxes in the table
                actiBasesCompétences_ToggleAllCompétences('{{ psNomType_Res }}', this);
            });

        }
    </script>
{% endblock %}
{#MG Ajout 20200210 Fin#}
